#-----------------------------------------------------------------------------
%define		__python	/usr/bin/python3
%define		sname		proxy
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1 )
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libproxy
Version		:	0.4.18
Release		:	14.8.0.0%{?dist}
Summary		:	Consistent proxy configuration to applications
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://github.com/libproxy/libproxy/releases/

Source0		:	%{name}-%{version}.tar.xz
#-----------------------------------------------------------------------------
BuildRequires	:	cmake
BuildRequires	:	perl
BuildRequires	:	perl-JSON-PP
BuildRequires	:	%(basename %{__python})
#-----------------------------------------------------------------------------
%description
Description : libproxy offers the following features:

	* extremely small core footprint (< 35K)
	* no external dependencies within libproxy core
	  (libproxy plugins may have dependencies)
	* only 3 functions in the stable external API
	* dynamic adjustment to changing network topology
	* a standard way of dealing with proxy settings across all
	  scenarios
	* a sublime sense of joy and accomplishment

#-----------------------------------------------------------------------------
%prep
%setup -q

%build

%{__mkdir_p} build
pushd build

cmake							\
	-DWITH_PYTHON2=OFF				\
	-DWITH_PYTHON3=ON				\
	-DPYTHON3_EXECUTABLE:FILEPATH=%{__python}	\
	-DCMAKE_INSTALL_PREFIX=%{_prefix}		\
	-DLIB_INSTALL_DIR=%{_libdir}			\
	-WITH_DBUS:BOOL=ON				\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{?_smp_mflags}

popd

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

pushd build
%{__make}						\
	DESTDIR=%{buildroot}				\
	install

popd

%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/%{sname}
%{_includedir}/%{sname}.h
%{_libdir}/%{name}.so*
%{_libdir}/%{name}/%{version}/modules/*.so
%{_libdir}/pkgconfig/%{name}-1.0.pc
%{_libexecdir}/pxgsettings
%{_libdir}/perl5/%{perlvers}/site_perl/Net/Lib%{sname}.pm
%{_libdir}/perl5/%{perlvers}/site_perl/auto/Net/Lib%{sname}/*.so
%{python3_sitelib}/%{name}*.py
%{python3_sitelib}/__pycache__/%{name}*.pyc
%{_datadir}/cmake/Modules/Find%{name}.cmake

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

%changelog
